Subject: Re: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Sun, 01 Dec 2013 21:20:31 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 29 Nov 2013 22:01:10 +0100
>> 
>> Eli Zaretskii wrote:
>> >> From: "Sebastien Vauban" <[email-masked]>
>> >> Cc: [email-masked]
>> >> Date: Tue, 26 Nov 2013 21:52:05 +0100
>> >> 
>> >> > So what is the minimum .emacs that will cause the problem?
>> >> 
>> >> That does it:
>> >> 
>> >> --8<---------------cut here---------------start------------->8---
>> >> ;; highlight trailing whitespaces in all modes
>> >> (setq-default show-trailing-whitespace t)
>> >> 
>> >> (setq org-ellipsis " \u25B7")           ; string
>> >> --8<---------------cut here---------------end--------------->8---
>> >
>> > And this makes Emacs slow in scrolling for any file you visit?  Or
>> > just in Org buffers?
>> 
>> No problem, with the same files, if I put them in `text-mode'. So, it becomes
>> apparent with Org.
>> 
>> Remember I told there were similar speed problems with some Gnus buffer, but I
>> haven't tested them again.
>> 
>> > If the latter, perhaps your Org files are special in some way, because
>> > the ones I tried don't show any slowdown I could sense.
>> 
>> They aren't special, for two reasons:
>> 
>> - They're not mine; they're public Org files taken from the Worg project ("Wiki
>>   Org").
>> 
>> - They work perfectly in Emacs rev 114715: no performance degradation
>>   whatsoever.
>> 
>> For the sake of clarity, I've redone a comparison of the two different Emacs
>> (r114715 and the recent r115235) on the same two Org files:
>> 
>> - ChangeLog.org (1,156 bytes)
>>   http://code.ohloh.net/file?fid=s6NzuuiKK0Nlga9EF-Vh8KzVXiw&cid=SNfK_pTfQmo&s=&fp=19410&mp=&projSelected=true#L0
>> 
>> - org-faq.org (164,174 bytes)
>>   http://code.ohloh.net/file?fid=Jk4U4mwQtJT_5LfYpl3sBLhj42s&cid=SNfK_pTfQmo&s=&fp=19410&mp=&projSelected=true#L0
>
> I looked at this issue.
>
> It has nothing to do with org-ellipsis, or the Org mode in general.
> To reproduce it, it's enough to do just this:
>
>   emacs -Q
>   C-x 8 RET 25b7 RET
>
> Now try moving the cursor across the line that displays the triangle
> character u+25B7.

Glad you could finally reproduce and observe my problem. I'm not a fool
anymore ;-)

> If you are on Windows 7, this will use the
> BatangChe font for the triangle, and every redisplay operation, even
> cursor motion, will be extremely slow.  (On XP, this font is not
> installed, and even if I install it, I'm unable to trigger the same
> problem, for some reason.)

FWIW, I don't know which font is used by default in the very minimal example I
gave, and used. But, in my real .emacs conf file, I'm using Consolas (from
Microsoft).

Best regards,
  Seb

-- 
Sebastien Vauban